Bug 133761 - Upgrade of ICH6 based systems fail due to ATA->SATA move
Upgrade of ICH6 based systems fail due to ATA->SATA move
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2004-09-27 07:21 EDT by Alan Cox
Modified: 2014-03-16 22:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-09-27 07:21:28 EDT
Description of problem:

Fedora Core 2 has no knowledge of ICH6M serial ATA and installed the
system using the generic IDE driver. In the fstab it decided that swap
was /dev/hda3. When I try and upgrade it can't find /dev/hda3 as it is
now /dev/sda3. If I fix this then it reports that it cannot find the
boot loader to upgrade.
Comment 1 Jeremy Katz 2004-09-27 14:27:34 EDT
This is a little bit wider spread than just being an anaconda problem
(and more than just ICH6, too).  Assigning to distribution and leaving
myself on the cc list.

Bill -- any thoughts here?
Comment 2 Bill Nottingham 2004-09-27 15:13:00 EDT
We're screwed?

I'm not sure I see any reliable way to tell on upgrade
which-FS-became-this-other-device. Especially before booting said
upgrade kernel.
Comment 3 Alan Cox 2004-09-27 16:13:10 EDT
Unconvinced

1. The real swap partition will have a swap header on it
2. 99% of the time it'll be on the same physical disk as the root fs
we found by label
3. If we can't mount it we can advise the user and not mount it

Ditto grub - you can look for a boot sector
Comment 4 Bill Nottingham 2004-09-27 16:41:10 EDT
For 1), we *should* be doing swapon --look-for-swap anyway. (Not that
that exists, but you get the idea.)

For #3, I assume you mean in the installer? swapon already prints
errors, of course.
Comment 5 Warren Togami 2004-09-28 03:46:50 EDT
Will this be an issue of RHEL3 U3 to RHEL4 upgrades?  What device
nodes does U3 use for SATA?
Comment 6 Bill Nottingham 2005-10-04 16:56:05 EDT
CC'ing mkinitrd maintainer.
Comment 7 Matthew Miller 2006-07-10 16:56:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 John Thacker 2006-10-30 10:04:24 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against FC3 and has remained in NEEDINFO state for quite some
time.  Many packages and bugfixes have been made since the last substantive bug
report.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.